ObjectReferenceTemplateHolder (Java Platform SE 8 )
Keywords: org.omg.PortableInterceptor.ObjectReferenceTemplateHolder class
Date: 2026-03-29

org.omg.PortableInterceptor

## Class ObjectReferenceTemplateHolder

- java.lang.Object
- - org.omg.PortableInterceptor.ObjectReferenceTemplateHolder

- All Implemented Interfaces:
    Streamable

      public final class ObjectReferenceTemplateHolder
      extends Object
      implements Streamable

  The object reference template. An instance of this must exist for each object adapter created in an ORB. The server_id, orb_id, and adapter_name attributes uniquely identify this template within the scope of an IMR. Note that adapter_id is similarly unique within the same scope, but it is opaque, and less useful in many cases.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ObjectReferenceTemplate` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectReferenceTemplateHolder()`
    `ObjectReferenceTemplateHolder(ObjectReferenceTemplate initialValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_read(InputStream i)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
    `TypeCode` | `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
    `void` | `_write(OutputStream o)` Marshals to `ostream` the value in the `value` field of the Holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public ObjectReferenceTemplate value

  - ### Constructor Detail

    - #### ObjectReferenceTemplateHolder

          public ObjectReferenceTemplateHolder()

    - #### ObjectReferenceTemplateHolder

          public ObjectReferenceTemplateHolder(ObjectReferenceTemplate initialValue)

  - ### Method Detail

    - #### _read

          public void _read(InputStream i)

      Description copied from interface: `Streamable`
      Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `i` - the InputStream that represents the CDR data from the wire.

    - #### _write

          public void _write(OutputStream o)

      Description copied from interface: `Streamable`
      Marshals to `ostream` the value in the `value` field of the Holder.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `o` - the CDR OutputStream

    - #### _type

          public TypeCode _type()

      Description copied from interface: `Streamable`
      Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object for the value held in the holder

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.